DATE(1)

NAVN
date - print or set the system date and time

SYNOPSIS
date [FLAG]... [+FORMAT]
date [-u|--utc|--universal] [MMDDhhmm[[CC]YY][.ss]]

BESKRIVELSE

Vis nuværende tidspunkt i det givne FORMAT, eller angiv systemdato.

Obligatoriske argumenter til lange flag er også obligatoriske for de korte.

-d, --date=STRENG
    vis tidspunkt beskrevet ved STRENG, ikke "nu"

--debug
    anfør den fortolkede dato, og advar om tvivlsom brug på stderr

-f, --file=DATOFIL
    som --date; én gang for hver linje i DATOFIL

-I[FMT], --iso-8601[=FMT]
    udskriv dato/klokkeslæt i ISO 8601-format. FMT="date" for kun dato (standard), "hours", "minutes", "seconds" eller "ns" for dato og klokkeslæt i angivne præcision. Eksempel: 2006-08-14T02:34:56-06:00

-R, --rfc-email
    udskriv dato og klokkeslæt i henhold til RFC 5322. Eksempel: Mon, 14 Aug 2006 02:34:56 -0600

--rfc-3339=FMT
    udskriv dato/klokkeslæt i RFC 3339-format. FMT="date", "seconds" eller "ns" for dato og klokkeslæt i den angivne præcision. Eksempel: 2006-08-14 02:34:56-06:00

-r, --reference=FIL
    vis sidste modifikationstid for FIL

-s, --set=STRENG
    angiv tid beskrevet ved STRENG

-u, --utc, --universal
    vis eller angiv koordineret universaltid (UTC)

--help
    viser hjælpetekst og stopper

--version
    viser versionsinformation og stopper

FORMAT styrer udskriften. Fortolkede sekvenser er:

%%  et ordret %-tegn

%a  lokaliseret, forkortet ugedagsnavn (f.eks. søn)

%A  lokaliseret fuldt ugedagsnavn (f.eks. søndag)

%b  lokaliseret forkortet månedsnavn (f.eks. jan)

%B  lokaliseret fuldt månedsnavn (f.eks. januar)

%c  lokaliseret dato og klokkeslæt (f.eks. lør 04 nov 1989 12:02:33 CET)

%C  århundrede; som %Y, dog udelades sidste to cifre (f.eks. 20)

%d  dag i måned (f.eks. 01)

%D  dato; samme som %m/%d/%y

%e  dag i måned, indledende nul erstattet med blanktegn; samme som %_d

%F  fuld dato; samme som %+4Y-%m-%d

%g  sidste to cifre af året ved ISO-ugetal (se %G)

%G  året ved ISO-ugetal (se %V); er normalt kun nyttig sammen med %V

%h  samme som %b

%H  time (00-23)

%I  time (01-12)

%j  dag på året (001-366)

%k  time, med mellemrum ( 0-23); samme som %_H

%l  time, med mellemrum ( 1-12); samme som %_I

%m  måned (01-12)

%M  minut (00-59)

%n  en ny linje

%N  nanosekunder (000000000..999999999)

%p  regionsafhængig ækvivalent til AM eller PM; blank hvis ukendt

%P  som %p, men med små bogstaver

%q  kvartal (1..4)

%r  regionsafhængig tid, 12-timers (f.eks. 06:31:44)

%R  24-timers tid i timer og minutter; samme som %H:%M

%s  sekunder siden 1970-01-01 00:00:00 UTC

%S  sekund (00..60)

%t  en tabulator

%T  tid; samme som %H:%M:%S

%u  dag i ugen (1..7), 1 betyder mandag

%U  ugenummer, med søndag som første dag i ugen (00..53)

%V  ISO-ugenummer, med mandag som første dag i ugen (01..53)

%w  ugedag (0..6); søndag repræsenteres som 0

%W  ugenummer, med mandag som første dag i ugen (00..53)

%x  lokaleafhængigt datoformat (f.eks. 08-03-2009)

%X  lokaleafhængigt tidsformat (f.eks. 23:13:48)

%y  sidste to cifre i årstallet (00..99)

%Y  år

%z  +hhmm numerisk tidszone (f.eks. -0400)

%:z +hh:mm numerisk tidszone (f.eks. -04:00)

%::z
    +hh:mm:ss numerisk tidszone (f.eks. -04:00:00)

%:::z
    numerisk tidszone med : til nødvendig præcision (f.eks., -04, +05:30)

%Z  alfabetisk forkortelse for tidszone (f.eks., EDT)

Som standard vil date udfylde eventuelle ekstra cifre ned nuller.

-   (bindestreg) udfyld ikke feltet

_   (understreg) udfyld med blanktegn

0   (nul) udfyld med nuller

+   udfyld med nuller og sæt "+" foran fremtidige år med >4 cifre

^   brug store bogstaver hvis muligt

#   brug store/små bogstaver omvendt, hvis muligt

Efter eventuelle flag følger valgfrit en feltbredde, som er et decimaltal; derefter et valgfrit modifikationstegn, som er enten E for at bruge lokaltilpassede repræsentationer, hvis tilgængelige, eller O for at bruge lokaltilpassede numeriske symboler, hvis tilgængelige.

EKSEMPLER
Omregn sekunder siden epoken (1970-01-01 UTC) til en dato

    $ date --date='@2147483647'

Vis klokkeslættet på USA's vestkyst (brug tzselect(1) for at finde TZ)

    $ TZ='America/Los_Angeles' date

Vis det lokale klokkeslæt for 9:00 næste fredag på USA's vestkyst

    $ date --date='TZ="America/Los_Angeles" 09:00 next Fri'

DATE STRING
The --date=STRING is a mostly free format human readable date string such as "Sun, 29 Feb 2004 16:21:42 -0800" or "2004-02-29 16:21:42" or even "next Thursday". A date string may contain items indicating calendar date, time of day, time zone, day of week, relative time, relative date, and numbers. An empty string indicates the beginning of the day. The date string format is more complex than is easily documented here but is fully described in the info documentation.

FORFATTER
Skrevet af David MacKenzie.

FEJLRAPPORTER
Hjælp til GNU coreutils på nettet:: <https://www.gnu.org/software/coreutils/>
Rapportér oversættelsesfejl til <https://translationproject.org/team/>

OPHAVSRET
Copyright © 2020 Free Software Foundation, Inc. Licens GPLv3+: GNU GPL version 3 eller nyere <https://gnu.org/licenses/gpl.html>.
Dette er frit programmel: du kan frit ændre og videredistribuere det. Der gives INGEN GARANTI, i den grad som loven tillader dette.

SE OGSÅ
Fuld dokumentation <https://www.gnu.org/software/coreutils/date>
eller lokalt tilgængelig via: info '(coreutils) date invocation'

OVERSÆTTELSE
De oversatte denne manual til dansk Denne oversættelse er gratis dokumentation; læs GNU General Public License Version 3 (https://www.gnu.org/licenses/gpl-3.0.html) eller nyere for copyrightbetingelser. Der er INGEN ANSVAR. Hvis du støder på fejl i oversættelsen af ​​denne vejledning, skal du sende en e-mail til TODO.